Page MenuHomePhabricator

Split the mediawiki.legacy.shared module into non-legacy manageable parts
Open, LowPublic

Description

We should split the mediawiki.legacy.shared module into non-legacy manageable parts. It's over a thousand lines of CSS that is loaded on all pages and all skins. We can do better than that.

Doing that would hopefully allow us to only load some parts when they are actually used, or allow skins to override the styles using $wgResourceModuleSkinStyles.

Vaguely related:

Related Objects

Event Timeline

matmarex created this task.Feb 19 2015, 7:36 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Needs Triage.
matmarex added a project: MediaWiki-Interface.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 7:36 PM
Aklapper triaged this task as Low priority.Feb 20 2015, 10:32 AM

Change 231880 had a related patch set uploaded (by Bartosz Dziewoński):
Remove WMF deployment hack for .feedlink from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/231880

Change 231885 had a related patch set uploaded (by Bartosz Dziewoński):
Move HTMLForm-specific styles out of mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/231885

Change 231885 merged by jenkins-bot:
Move HTMLForm-specific styles out of mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/231885

Change 231880 merged by jenkins-bot:
Remove WMF deployment hack for .feedlink from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/231880

demon set Security to None.
Jdlrobson added a subscriber: Jdlrobson.

What's left?

Around 900 lines of CSS :)

Isarra added a subscriber: Isarra.Nov 9 2015, 7:28 PM

Change 295201 had a related patch set uploaded (by Prtksxna):
Move changeslist CSS classes from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/295201

Change 295203 had a related patch set uploaded (by Prtksxna):
Move HistoryAction CSS form mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/295203

Change 295221 had a related patch set uploaded (by Prtksxna):
Move EXIF metadata CSS from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/295221

Change 295201 merged by jenkins-bot:
Move changeslist CSS classes from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/295201

Volker_E added a subscriber: Volker_E.

Change 295203 merged by jenkins-bot:
Move HistoryAction CSS from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/295203

Change 295221 merged by jenkins-bot:
Move EXIF metadata CSS from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/295221

Change 297387 had a related patch set uploaded (by Prtksxna):
Remove .mw-help-field-hint and -data CSS classes from mw.legacy/shared

https://gerrit.wikimedia.org/r/297387

Prtksxna added a subscriber: Prtksxna.EditedJul 5 2016, 1:00 PM
From the description

for example, there's a lot of <gallery>-specifc code there

There isn't anymore, right? rMWc845586dc7a6b8d274a376433a42f7b5d4fd28ac

Change 297393 had a related patch set uploaded (by Prtksxna):
Move diff CSS from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/297393

Prtksxna updated the task description. (Show Details)Jul 6 2016, 6:19 AM

Change 297393 merged by jenkins-bot:
Move diff CSS from mediawiki.legacy.shared

https://gerrit.wikimedia.org/r/297393

Change 303353 had a related patch set uploaded (by Gerrit Patch Uploader):
Move CSS for patrol from mediawiki.legacy to new module mediawiki.page.patrol

https://gerrit.wikimedia.org/r/303353

Change 303364 had a related patch set uploaded (by Gerrit Patch Uploader):
Move style for #wikiPreview to mediawiki.action.edit.styles.css

https://gerrit.wikimedia.org/r/303364

Change 303353 merged by jenkins-bot:
Move CSS for patrol from mediawiki.legacy to new module mediawiki.page.patrol

https://gerrit.wikimedia.org/r/303353

Change 303364 merged by jenkins-bot:
Move style for #wikiPreview to mediawiki.action.edit.styles.css

https://gerrit.wikimedia.org/r/303364

Change 297387 merged by jenkins-bot:
Remove .mw-help-field-hint and -data CSS classes from mw.legacy/shared

https://gerrit.wikimedia.org/r/297387